debian 10.3+.deb 0.96 : SegFault systematic

*** Please report new bugs here! ***

Moderator: Dreamer

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Thu Apr 02, 2020 4:37 pm

Hi,
same problem as viewtopic.php?f=62&t=40202&hilit=segfault, I suppose :
emmabuntus-de3-amd64-10.3-1.01.iso (= debian 10.3 and XFCE) newly installed and XnViewMP-linux-x64.deb (=version 0.96) added
clo@clo-pc:~$ xnview
Segmentation fault
clo@clo-pc:~$
Sounds like a come back of an old bug about segfault and permission access ?

User avatar
xnview
Author of XnView
Posts: 33425
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Tue Apr 07, 2020 8:18 am

and with the tgz?
Pierre.

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Tue Apr 07, 2020 4:43 pm

:? I'm not familiar with using tgz...

:?: Here is what I tried :
I downloaded XnViewMP-linux-x64.tgz in my "Téléchargements" directory, uncompress it and got ~/Téléchargements/XnView
I found no ReadMe or Install file, no guide but a script xnview.sh which seems able to launch XnView...
So, I entered in a user terminal :
clo@clo-pc:~$ cd /home/clo/Téléchargements/XnView
clo@clo-pc:~/Téléchargements/XnView$ bash /home/clo/Téléchargements/XnView/xnview.sh
Erreur de segmentation
clo@clo-pc:~/Téléchargements/XnView$

Hope it will help
Thanks for your attention :D

User avatar
xnview
Author of XnView
Posts: 33425
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Wed Apr 08, 2020 2:06 pm

if you try to install

Code: Select all

sudo apt install libpulse-dev
Pierre.

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Wed Apr 08, 2020 9:42 pm

1) another test on confirmation purpose with Debian-Facile-10.3-amd64 live without installing
(also debian 10.3 + XFCE4) with package XnViewMP-linux-x64.deb installed by GDebi and XnViewMP-linux-x64.tgz uncompressed

Code: Select all

user@debian:~$ xnview
Segmentation fault
user@debian:~$ bash /media/user/Home/clo/Téléchargements/XnView/xnview.sh 
Erreur de segmentation
user@debian:~$ 
=> same problem :bugconfirmed:

2) package libpulse-dev was not previously installed (only the most significant parts of the report below)

Code: Select all

clo@clo-pc~$ sudo apt install libpulse-dev
----
Les paquets supplémentaires suivants seront installés :
  libblkid-dev libffi-dev libglib2.0-dev libglib2.0-dev-bin libmount-dev libpcre16-3 libpcre3-dev
  libpcre32-3 libpcrecpp0v5 libselinux1-dev libsepol1-dev python3-distutils python3-lib2to3
  uuid-dev
Paquets suggérés :
  libglib2.0-doc libxml2-utils
Les NOUVEAUX paquets suivants seront installés :
  libblkid-dev libffi-dev libglib2.0-dev libglib2.0-dev-bin libmount-dev libpcre16-3 libpcre3-dev
  libpcre32-3 libpcrecpp0v5 libpulse-dev libselinux1-dev libsepol1-dev python3-distutils
  python3-lib2to3 uuid-dev
0 mis à jour, 15 nouvellement installés, 0 à enlever et 0 non mis à jour.
----
Paramétrage de libpulse-dev:amd64 (12.2-4+deb10u1) ...
clo@clo-pc:~$
retry :

Code: Select all

clo@clo-pc~$ xnview
Segmentation fault
clo@clo-pc~$ bash /home/clo/Téléchargements/XnView/xnview.sh
Erreur de segmentation
clo@clo-pc:~$ 
=> no change

:?: another idea ?

User avatar
xnview
Author of XnView
Posts: 33425
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Fri Apr 10, 2020 6:43 am

CloDeClo wrote:
Wed Apr 08, 2020 9:42 pm
:?: another idea ?
It seems that there is a problem with Qt 5.12 and libfontconfig/freetype, i ask the QT Team
Pierre.

manjarooo
Posts: 1
Joined: Wed Feb 01, 2017 5:51 am

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by manjarooo » Mon Apr 13, 2020 8:42 pm

Same problem here...

I am using Debian 10 (buster) x64 with the latest kernel 4.19 on MATE Desktop 1.20.4 ...

I've just updated XnViewMP to the latest verstion 0.96 a few days ago, and now getting "Segmentation fault" error when I try to start it!
Previous versions worked well...

I had to downgrade to 0.92 because I couldn't find the previous 0.95/0.94 version in the xnview-archives... :-(
Why is there no version archive?!? I've search over the FTP server, but all I could find is the versionless "XnViewMP-linux-x64.deb" download file. This is not the first time I had massive problems with the latest XnViewMP version, and it would help very much to be able to just jump back to a previous version through a real version archive!
Thank You...

EDIT:
Ooops.... Sorry, just found it ;-) (the version archive)
https://download.xnview.com/old_versions/
The latest version that works for me now is the 0.94.3

User avatar
xnview
Author of XnView
Posts: 33425
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Tue Apr 14, 2020 8:29 am

manjarooo wrote:
Mon Apr 13, 2020 8:42 pm
Same problem here...

I am using Debian 10 (buster) x64 with the latest kernel 4.19 on MATE Desktop 1.20.4 ...
Could you try to install libxkbcommon-x11-0, on my Debian buster it works
Pierre.

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Tue Apr 14, 2020 4:48 pm

Thanks for your help

libxkbcommon-x11-0 version0.8.2-1 was already present in emmabuntus-de3-amd64-10.3-1.01.iso (= debian 10.3 and XFCE)...
A total removal would have a too heavy impact.
Happily, total removal of xnview 0.96 by Synaptic makes it to reinstall
"xnview sera désinstallé ainsi que ses fichiers de configuration
libxkbcommon-x11-0 (version 0.8.2-1) sera réinstallé"

new install of XnViewMP-096-linux-x64.deb from https://download.xnview.com/old_versions/ with GDebi
no change with the "Segmentation fault" error ! :(

Same process to install XnViewMP-095-linux-x64.deb (but, this time reinstall of libxkbcommon-x11-0 was not required ?, I made it manually)
no change with the "Segmentation fault" error !

Same process to install XnViewMP-0943-linux-x64.deb (total removal of xnview, manual reinstall of libxkbcommon-x11-0)
It works fine and warns about a newest version 0.95 ! :) I confirm manjarooo's observations.

User avatar
xnview
Author of XnView
Posts: 33425
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Thu Apr 16, 2020 2:00 pm

CloDeClo wrote:
Tue Apr 14, 2020 4:48 pm
libxkbcommon-x11-0 version0.8.2-1 was already present in emmabuntus-de3-amd64-10.3-1.01.iso (= debian 10.3 and XFCE)...
A total removal would have a too heavy impact.
Happily, total removal of xnview 0.96 by Synaptic makes it to reinstall
"xnview sera désinstallé ainsi que ses fichiers de configuration
libxkbcommon-x11-0 (version 0.8.2-1) sera réinstallé"

new install of XnViewMP-096-linux-x64.deb from https://download.xnview.com/old_versions/ with GDebi
no change with the "Segmentation fault" error ! :(
Strange, on a clean install of Debian 10.3 XFCE, i have no problem (after installing libxkbcommon-x11-0)
If you make

Code: Select all

ldd XnView/lib/platforms/libqxcb.so
all libs are found?
Pierre.

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Fri Apr 17, 2020 7:59 am

emmabuntus-de3-amd64-10.3-1.01 comes with buster+XFCE+many useful applications :
removal of libxkbcommon-x11-0 would require to remove also : VLC, clementine, audacity, kaffeine, etc... and lot of lib !
I suppose this package came with some of them or with some personnal adds (Gedit, Foxit, CapTVty, Murrine-theme, ?) ?

"ldd: XnView/lib/platforms/libqxcb.so" gets "Aucun fichier ou dossier de ce type" !!
I made a small change adding /opt/, hope it is what you are expecting.

With the version 0943 (which works fine for me), here is what I got :

Code: Select all

clo@clo-pc~$ ldd /opt/XnView/lib/platforms/libqxcb.so
    linux-vdso.so.1 (0x00007ffc767f8000)
    libQt5XcbQpa.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5XcbQpa.so.5 (0x00007ff483d72000)
    libgthread-2.0.so.0 => /lib/x86_64-linux-gnu/libgthread-2.0.so.0 (0x00007ff483d3a000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007ff483c1b000)
    libfontconfig.so.1 => /lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007ff483bd5000)
    libfreetype.so.6 => /lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007ff483b19000)
    libQt5Gui.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5Gui.so.5 (0x00007ff483368000)
    libQt5DBus.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5DBus.so.5 (0x00007ff4830dd000)
    libQt5Core.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5Core.so.5 (0x00007ff48299e000)
    libGL.so.1 => /lib/x86_64-linux-gnu/libGL.so.1 (0x00007ff48290a000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff4828e9000)
    libX11-xcb.so.1 => /lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007ff4828e4000)
    libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007ff4827a3000)
    libXi.so.6 => /lib/x86_64-linux-gnu/libXi.so.6 (0x00007ff482591000)
    libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007ff482567000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ff482562000)
    libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007ff4823de000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff48225b000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007ff482241000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff48207e000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007ff48200a000)
    libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007ff481fcd000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007ff481fc4000)
    libpng16.so.16 => /lib/x86_64-linux-gnu/libpng16.so.16 (0x00007ff481f8b000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ff481d6b000)
    libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007ff481d18000)
    /lib64/ld-linux-x86-64.so.2 (0x00007ff4842cc000)
    libicui18n.so.56 => not found
    libicuuc.so.56 => not found
    libicudata.so.56 => not found
    libGLX.so.0 => /lib/x86_64-linux-gnu/libGLX.so.0 (0x00007ff481ce2000)
    libGLdispatch.so.0 => /lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007ff481c25000)
    libXext.so.6 => /lib/x86_64-linux-gnu/libXext.so.6 (0x00007ff481a13000)
    libXau.so.6 => /lib/x86_64-linux-gnu/libXau.so.6 (0x00007ff48180f000)
    libXdmcp.so.6 => /lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007ff481609000)
    libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007ff481566000)
    libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007ff48154c000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007ff481542000)
    liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007ff48151a000)
    liblz4.so.1 => /lib/x86_64-linux-gnu/liblz4.so.1 (0x00007ff4814fb000)
    libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007ff4813dd000)
    libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007ff4813b8000)
clo@clo-pc~$
After upgrading to version 096 (still with the "Segmentation fault" error) :

Code: Select all

clo@clo-pc~$ ldd /opt/XnView/lib/platforms/libqxcb.so
    linux-vdso.so.1 (0x00007ffe267e7000)
    libQt5XcbQpa.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5XcbQpa.so.5 (0x00007fefc2a84000)
    libfontconfig.so.1 => /lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007fefc2a0b000)
    libfreetype.so.6 => /opt/XnView/lib/platforms/../../lib/libfreetype.so.6 (0x00007fefc2738000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fefc251a000)
    libQt5Gui.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5Gui.so.5 (0x00007fefc1ccd000)
    libQt5DBus.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5DBus.so.5 (0x00007fefc1a41000)
    libQt5Core.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5Core.so.5 (0x00007fefc12a4000)
    libGL.so.1 => /lib/x86_64-linux-gnu/libGL.so.1 (0x00007fefc1210000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fefc11ef000)
    libX11-xcb.so.1 => /lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007fefc11ea000)
    libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fefc11c0000)
    libXrender.so.1 => /lib/x86_64-linux-gnu/libXrender.so.1 (0x00007fefc0fb6000)
    libXext.so.6 => /lib/x86_64-linux-gnu/libXext.so.6 (0x00007fefc0da2000)
    libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007fefc0c61000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fefc0ade000)
    libxkbcommon-x11.so.0 => /lib/x86_64-linux-gnu/libxkbcommon-x11.so.0 (0x00007fefc0ad3000)
    libxkbcommon.so.0 => /lib/x86_64-linux-gnu/libxkbcommon.so.0 (0x00007fefc0a91000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fefc0a8c000)
    libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fefc0906000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fefc08ec000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fefc072b000)
    libgthread-2.0.so.0 => /lib/x86_64-linux-gnu/libgthread-2.0.so.0 (0x00007fefc0726000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fefc0607000)
    libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fefc05ca000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007fefc05bf000)
    libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007fefc056c000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fefc302b000)
    libicui18n.so.56 => not found
    libicuuc.so.56 => not found
    libicudata.so.56 => not found
    libGLX.so.0 => /lib/x86_64-linux-gnu/libGLX.so.0 (0x00007fefc0536000)
    libGLdispatch.so.0 => /lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007fefc0479000)
    libXau.so.6 => /lib/x86_64-linux-gnu/libXau.so.6 (0x00007fefc0275000)
    libXdmcp.so.6 => /lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fefc006f000)
    libxcb-xkb.so.1 => /lib/x86_64-linux-gnu/libxcb-xkb.so.1 (0x00007fefc0051000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007fefbffdb000)
    libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007fefbff3a000)
    libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007fefbff20000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fefbff16000)
    liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007fefbfeee000)
    liblz4.so.1 => /lib/x86_64-linux-gnu/liblz4.so.1 (0x00007fefbfecd000)
    libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007fefbfdaf000)
    libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007fefbfd8c000)
clo@clo-pc~$
=> same 3 "not found", but 43 lib now (/41 before) ?

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Fri Apr 17, 2020 9:31 am

Strange, on a clean install of Debian 10.3 XFCE, i have no problem
This remark prompted me to repeat the test with Debian-Facile-10.3-amd64 live (live testing without installing !)
where the problem also occured and which is far lighter and cleaner than my actual emmabuntus system !...
No update, no change : libxkbcommon-x11-0 version0.8.2-1 is already present.
I simulated the removal by Synaptic :

Code: Select all

libxkbcommon-x11-0 sera désinstallé ainsi que ses fichiers de configuration
calamares sera désinstallé
calamares-settings-debian sera désinstallé
hplip-gui sera désinstallé
kio sera désinstallé
kwayland-integration sera désinstallé
libdbusmenu-qt5-2 sera désinstallé
libkf5auth5 sera désinstallé
libkf5completion5 sera désinstallé
libkf5configgui5 sera désinstallé
libkf5configwidgets5 sera désinstallé
libkf5crash5 sera désinstallé
libkf5dbusaddons5 sera désinstallé
libkf5globalaccel-bin sera désinstallé
libkf5globalaccel5 sera désinstallé
libkf5globalaccelprivate5 sera désinstallé
libkf5guiaddons5 sera désinstallé
libkf5iconthemes-bin sera désinstallé
libkf5iconthemes5 sera désinstallé
libkf5idletime5 sera désinstallé
libkf5itemviews5 sera désinstallé
libkf5jobwidgets5 sera désinstallé
libkf5kiocore5 sera désinstallé
libkf5kiowidgets5 sera désinstallé
libkf5notifications5 sera désinstallé
libkf5parts-plugins sera désinstallé
libkf5parts5 sera désinstallé
libkf5plasma5 sera désinstallé
libkf5service-bin sera désinstallé
libkf5service5 sera désinstallé
libkf5solid5 sera désinstallé
libkf5sonnetui5 sera désinstallé
libkf5textwidgets5 sera désinstallé
libkf5wallet-bin sera désinstallé
libkf5wallet5 sera désinstallé
libkf5waylandclient5 sera désinstallé
libkf5widgetsaddons5 sera désinstallé
libkf5windowsystem5 sera désinstallé
libkf5xmlgui5 sera désinstallé
libkpmcore7 sera désinstallé
libkwalletbackend5-5 sera désinstallé
libphonon4qt5-4 sera désinstallé
libpolkit-qt5-1-1 sera désinstallé
libqt5designer5 sera désinstallé
libqt5gui5 sera désinstallé
libqt5help5 sera désinstallé
libqt5printsupport5 sera désinstallé
libqt5quick5 sera désinstallé
libqt5quickwidgets5 sera désinstallé
libqt5svg5 sera désinstallé
libqt5waylandclient5 sera désinstallé
libqt5waylandcompositor5 sera désinstallé
libqt5webkit5 sera désinstallé
libqt5widgets5 sera désinstallé
libqt5x11extras5 sera désinstallé
phonon4qt5 sera désinstallé
phonon4qt5-backend-vlc sera désinstallé
python3-pyqt5 sera désinstallé
qml-module-qtquick-window2 sera désinstallé
qml-module-qtquick2 sera désinstallé
qt5-gtk-platformtheme sera désinstallé
qt5-style-plugins sera désinstallé
qtwayland5 sera désinstallé
vlc sera désinstallé
vlc-plugin-qt sera désinstallé
vlc-plugin-skins2 sera désinstallé
=> It would require removal of several applications : VLC, calamares, hplip, kio...

I installed XnViewMP : Gdebi on XnViewMP-096-linux-x64.deb :

Code: Select all

user@debian:~$ ldd /opt/XnView/lib/platforms/libqxcb.so
    linux-vdso.so.1 (0x00007fff92cac000)
    libQt5XcbQpa.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5XcbQpa.so.5 (0x00007fd2283e8000)
    libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007fd228389000)
    libfreetype.so.6 => /opt/XnView/lib/platforms/../../lib/libfreetype.so.6 (0x00007fd2280b6000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fd227e98000)
    libQt5Gui.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5Gui.so.5 (0x00007fd22764b000)
    libQt5DBus.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5DBus.so.5 (0x00007fd2273bf000)
    libQt5Core.so.5 => /opt/XnView/lib/platforms/../../lib/libQt5Core.so.5 (0x00007fd226c22000)
    libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007fd226b8e000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fd226b6d000)
    libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007fd226b68000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fd226b3e000)
    libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007fd226934000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007fd226720000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fd2265df000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fd22645c000)
    libxkbcommon-x11.so.0 => /usr/lib/x86_64-linux-gnu/libxkbcommon-x11.so.0 (0x00007fd226451000)
    libxkbcommon.so.0 => /usr/lib/x86_64-linux-gnu/libxkbcommon.so.0 (0x00007fd22640f000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fd22640a000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fd226284000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fd22626a000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fd2260a9000)
    libgthread-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0 (0x00007fd2260a4000)
    libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fd225f85000)
    libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fd225f48000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007fd225f3d000)
    libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007fd225eea000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fd22898f000)
    libicui18n.so.56 => not found
    libicuuc.so.56 => not found
    libicudata.so.56 => not found
    libGLX.so.0 => /usr/lib/x86_64-linux-gnu/libGLX.so.0 (0x00007fd225eb4000)
    libGLdispatch.so.0 => /usr/lib/x86_64-linux-gnu/libGLdispatch.so.0 (0x00007fd225df7000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fd225bf3000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fd2259ed000)
    libxcb-xkb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb-xkb.so.1 (0x00007fd2259cf000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007fd225959000)
    libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007fd2258b8000)
    libbsd.so.0 => /usr/lib/x86_64-linux-gnu/libbsd.so.0 (0x00007fd22589e000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fd225894000)
    liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007fd22586c000)
    liblz4.so.1 => /usr/lib/x86_64-linux-gnu/liblz4.so.1 (0x00007fd22584b000)
    libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007fd22572d000)
    libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007fd22570a000)
user@debian:~$ xnview
Segmentation fault
user@debian:~$ 
Hope it will help...

Friedrich
Posts: 8
Joined: Tue Jul 09, 2013 2:36 am

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by Friedrich » Sat Apr 18, 2020 9:08 am

xnview wrote:
Thu Apr 16, 2020 2:00 pm
Strange, on a clean install of Debian 10.3 XFCE, i have no problem
I can confirm this:
No problem on clean Debian 10.3/KDE. (Libxkbcommon-x11-0 had already been installed, without action from my side).
(I have segfaults in Manjaro/KDE when selecting/previewing(?) video-files; probably not related?)
MP 0.96 x64: Manjaro (KDE), Debian 10.3 (KDE), MX-Linux 19 (XFCE), Windows 10 x64

User avatar
xnview
Author of XnView
Posts: 33425
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Sat Apr 18, 2020 9:32 am

CloDeClo wrote:
Fri Apr 17, 2020 9:31 am
This remark prompted me to repeat the test with Debian-Facile-10.3-amd64 live (live testing without installing !)
Ok i can reproduce, the problem comes with platformthemes/libqgtk3.so, remove it and it works
Pierre.

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Sat Apr 18, 2020 9:27 pm

no libgtk3.so found !
But there was /opt/XnView/lib/platformthemes/libqgtk3.so : removal and xnview works ! :D
:bugfixed: I suppose... Thanks

Post Reply